Skip to main content

Logon

isAvailable

Checks the availability of user authentication in the application.

  • The ApplicationId parameter specifies the identifier of the application.
  • The UserId parameter specifies the identifier of the target user.
  • The ExcludeWindowsPassword parameter specifies true\false:
    • If true is specified, then authentication by the domain password is excluded from the check. In that case any other authentication method must be available to the user, otherwise the request returns false.
    • If false is specified, the domain password is not excluded from the possible authentication methods in the scenario.
[POST] /api/v5/logon/isAvailable
Request object
{
"ApplicationId": "string",
"UserId": "string",
"ExcludeWindowsPassword": true
}

in the request object:

  • ApplicationId — required parameter. String identifier of the Axidian Access module.
  • UserId — required parameter. Identifier of the user in Axidian Access.
  • ExcludeWindowsPassword — optional parameter. Default value true.
Response object
true\false

authenticate

Performs user authentication in the BusinessApplication application using the registered template TemplateId.

[POST] /api/v5/logon/authenticate
Request object
{
"TemplateId": "00000000-0000-0000-0000-000000000000",
"BusinessApplication": "string"
}
Response object
{
"Token": "string",
"LogonResult": {
"Result": "string"
},
"UserId": "string"
}
Example of a successful response object
{
"ValidPropertiesMask": 5,
"Token": "eyJ0e----.eyJleH----",
"LogonResult": {
"ValidPropertiesMask": 0,
"Result": null
},
"UserId": "UserId_b1cfaa29-6368-4c50-9868-06dbbe21fe23"
}

getAvailableMethods

Returns an array of available authentication methods for the user UserId in the application specified in ApplicationId.

[POST] /api/v5/logon/getAvailableMethods
Request object
{
"ApplicationId": "string",
"UserId": "string",
"IncludeModeIds": [
"00000000-0000-0000-0000-000000000000"
],
"ExcludeModeIds": [
"00000000-0000-0000-0000-000000000000"
]
}

in the request object:

  • ApplicationId — required parameter. String identifier of the Axidian Access module.
  • UserId — required parameter. Identifier of the user in Axidian Access.
  • IncludeModeIds — optional parameter. GUIDs of the Axidian authentication methods that will be taken into account when checking the possibility of authentication.
  • ExcludeModeIds — optional parameter. GUIDs of the Axidian authentication methods that will be excluded when checking the possibility of authentication.
Response object
{
"AutheticationMethods": [
"00000000-0000-0000-0000-000000000000"
]
}
Response examples
No available methods
{
"ValidPropertiesMask": 1,
"AutheticationMethods": []
}
Domain password available
{
"ValidPropertiesMask": 1,
"AutheticationMethods": [
"cf189af5-01c5-469d-a859-a8f2f41ed153"
]
}

authenticateByWindowsToken

Authentication of the user using a Windows session token. The token is passed into the request via Windows authentication and Kerberos tickets.

[POST] /api/v5/logon/authenticateByWindowsToken
Request object
{
"ApplicationId": "string",
"BusinessApplication": "string"
}

in the request object:

  • ApplicationId — required parameter. String identifier of the Axidian Access module.
  • BusinessApplication — optional parameter. Name of the Axidian Access business application.
Response object
{
"Token": "string",
"LogonResult": {
"Result": "string"
},
"UserId": "string"
}
Example of a successful response object
{
"ValidPropertiesMask": 5,
"Token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJleHAiOj.......",
"LogonResult": null,
"UserId": "UserId_10efa04f-7ba9-47d8-89db-56e166f1679f"
}